python-scikits.statsmodels_0.6.1-4_all.deb


Advertisement

Description

python-scikits.statsmodels - transitional compatibility package for statsmodels migration

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-scikits.statsmodels
Package version: 0.6.1
Package release: 4
Package architecture: all
Package type: deb
Installed size: 33 B
Download size: 3.00 KB
Official Mirror: archive.ubuntu.com
Provides old namespace (scikits.statsmodels) and could be removed if dependent code migrated to use statsmodels for clarity of the namespace.

Alternatives

    Download

    Source package: statsmodels

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-scikits.statsmodels deb package:
      # sudo apt-get install python-scikits.statsmodels

    Files

    • /usr/share/doc/python-scikits.statsmodels/changelog.Debian.gz
    • /usr/share/doc/python-scikits.statsmodels/copyright

    Changelog

    2015-05-20 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.6.1-4) unstable; urgency=medium * Move ipython-notebook and zmq to build-depends-indep since needed only for documentation building

    2015-05-17 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.6.1-3) unstable; urgency=medium * upload to unstable -- jessie is out * debian/control - raised minimal cython version to be used to 0.19 - provide Build-Depends-Indep to separate handling for building binary-indep packages, and allow pandoc instead of nodejs for extra robustness (thanks Edmund for the hint) (Closes: #770631) * debian/{control,rules} - Recommend libjs-mathjax and refer to locally installed MathJax.js

    2014-12-03 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.6.1-1) experimental; urgency=medium * New upstream release

    2014-10-22 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.6.0~rc2-1) unstable; urgency=medium * Upstream release candidate * debian/patches - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff redone into deb_use_internal_ipythonsphinx_extensions to facilate building documentation on older systems - up_explicit_path_to_nbgenerate to provide explict path to notebooks * debian/rules - clean up cythonize.dat * debian/control - nodejs was added to build-depends (neccessary for docs building) - boost policy to 3.9.6 (no changes)

    2014-07-16 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.5.0+git13-g8e07d34-2) unstable; urgency=medium * debian/patches - changeset_ee75d978ec4c46b506b5429d4f65fdf38866ec4d.diff to resolve FTBFS by using packaged ipython provided extensions (Closes: #753232) - up_reduce_test_precision to resolve failing TestRegressionNM.test_ci_beta2 test on 32bit * debian/control - suggest -doc package (Closes: #740348) * debian/rules - exclude testing of the sandbox (let kids do wild things there and mentors keep their hair) -- otherwise test break due to scipy 0.14.0 API breakage (f_gen)

    2013-11-28 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.5.0+git13-g8e07d34-1) unstable; urgency=low * Fresh snapshot of 0.5.x maintenance branch - resolved failing test causing to FTBFS (Closes: #730727) * debian/control - python-cvxopt added to Build-Depends (testing) and Recommends

    2013-08-15 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.5.0-1) unstable; urgency=low * Fresh upstream release * debian/rules - assure having $HOME for clean and build operations to avoid crash of matplotlib * debian/control, debian/rules - boost required ipython to 0.13.1 for building documentation - add python-zmq explicitly to build-depends for correct IPython operation

    2013-08-01 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.5.0~rc1-1) UNRELEASED; urgency=low * New upstream snapshot from v0.4.3-1962-g13bbf88 at v0.4.3-1962- g13bbf88 - depends on patsy * debian/control - requires ipython-notebook for building documentation (Build-Depends adjusted) - build for Python >= 2.7 due to absent python 2.6 build of pandas for wheezy (debian/pyversions removed, use field X-Python-Version) now instead - boosted policy to 3.9.4 (no further changes) * debian/copyright - years adjusted * debian/rules - migrate to dh_python2 from dh_pysupport

    2012-06-29 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.4.2-1) unstable; urgency=low * Fresh upstream release addressing FTBFS across big-endian architectures.

    2012-06-15 - Yaroslav Halchenko <debian@onerussian.com> statsmodels (0.4.1-1) unstable; urgency=low * Fresh upstream release - dropped up_versioncomparison_with_rc - require Python >= 2.6 * Do fail if unittests fail * Added joblib to build-depends since seems could be used during tests

    Advertisement
    Advertisement